## net.sf.saxon.pull
Class PullPushCopier

    java.lang.Object
      net.sf.saxon.pull.PullPushCopier

    public class PullPushCopier

extends Object

This class copies a document by using the pull interface to read the input document, and the push interface to write the output document.

Constructor Summary
`PullPushCopier(PullProvider in, Receiver out)`

Method Summary
`void` `copy()` Copy the input to the output

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullPushCopier

    public PullPushCopier(PullProvider in,
                          Receiver out)

Method Detail

### copy

    public void copy()
              throws XPathException

  Copy the input to the output

  Throws:
    `XPathException`

Copyright (C) Michael H. Kay. All rights reserved.